Skip to main content
POST
/
rag
/
settings
/
{instance}
Update RAG bot settings
curl --request POST \
  --url https://api.zapthinker.com/rag/settings/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "expire": 20,
  "keywordFinish": "#SAIR",
  "delayMessage": 1000,
  "unknownMessage": "Mensagem não reconhecida",
  "listeningFromMe": false,
  "stopBotFromMe": false,
  "keepOpen": false,
  "debounceTime": 0,
  "ignoreJids": [],
  "botIdFallback": "<string>",
  "splitMessages": true,
  "timePerChar": 123
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Nome da instância

Body

application/json

Configurações do bot RAG

expire
integer
required

Tempo de expiração em minutos

Example:

20

keywordFinish
string
required

Palavra-chave para finalizar o bot

Example:

"#SAIR"

delayMessage
integer
required

Delay antes do envio (ms)

Example:

1000

unknownMessage
string
required

Mensagem quando não reconhecer comando

Example:

"Mensagem não reconhecida"

listeningFromMe
boolean
required
Example:

false

stopBotFromMe
boolean
required
Example:

false

keepOpen
boolean
required
Example:

false

debounceTime
integer
required
Example:

0

ignoreJids
string[]
Example:
[]
botIdFallback
string

ID do bot RAG de fallback

splitMessages
boolean
timePerChar
integer

Response

200 - application/json

Configurações atualizadas com sucesso

The response is of type object.